Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_wgldisplay.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_wgldisplay.h"`
`#include "wglGraphicsBuffer.h"`
`#include "wglGraphicsPipe.h"`
`#include "wglGraphicsStateGuardian.h"`
`#include "wglGraphicsWindow.h"`
`#include "graphicsPipeSelection.h"`
`#include "dconfig.h"`
`#include "pandaSystem.h"`

Go to the source code of this file.

## Functions
| Configure (config_wgldisplay)
| ConfigureFn (config_wgldisplay)
void | init_libwgldisplay ()
| Initializes the library.
| NotifyCategoryDef (wgldisplay, "display")

## Variables
ConfigVariableBool | gl_do_vidmemsize_check ("gl-do-vidmemsize-check", true, PRC_DESC("This is true to insist that low-memory cards open only 640x480 " "fullscreen windows, no matter what resolution of window was " "requested. It only affects fullscreen windows."))
ConfigVariableBool | gl_force_invalid ("gl-force-invalid", false, PRC_DESC("Set this true to force all GL windows to fail to open " "correctly (for debugging)."))
ConfigVariableInt | gl_force_pixfmt ("gl-force-pixfmt", 0)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-12-20

Definition in file config_wgldisplay.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_wgldisplay |  | ) |

Definition at line 30 of file config_wgldisplay.cxx.

## ◆ init_libwgldisplay()

void init_libwgldisplay | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 55 of file config_wgldisplay.cxx.

References GraphicsPipeSelection::add_pipe_type(), GraphicsPipeSelection::get_global_ptr(), PandaSystem::get_global_ptr(), and PandaSystem::set_system_tag().

Referenced by init_libpandagl().